RemGankDB = {};
local cmd, name, note
local default_note="generic ganker"
local prgname = "|cffffd200remgank|r"

local frame = CreateFrame("FRAME", "remgankframe");
frame:RegisterEvent("UPDATE_MOUSEOVER_UNIT");

local function eventHandler(self, event, ...)
	if ((UnitIsPlayer("mouseover")) and (UnitIsEnemy("mouseover", "player"))) then
			local player = UnitName("mouseover");
			if RemGankDB[player:lower()] then
				GameTooltip:AddLine("RemGank: " .. RemGankDB[player:lower()] )
				GameTooltipTextLeft1:SetTextColor(1, 0.5, 0.5);
				GameTooltip:SetBackdropColor(1, 0, 0);
				GameTooltip:Show()
			end
	end
 end


frame:SetScript("OnEvent", eventHandler);

SLASH_REMGANK1 = "/remgank";
SlashCmdList["REMGANK"] = function(args) 
	local cmd, name, note = string.split(" ", args, 3)
	
	if cmd == "add" then
		if name then 
			if not note then note = default_note end
			print(prgname .. " adding :")
			print(name .. ", " .. note)
			RemGankDB[name:lower()] = string.sub(note,1,20);
		end
		
	elseif cmd == "del" then
		if not name then return end
		print(prgname .. " removing " .. name .. " from list")
		RemGankDB[name] = nil
		
	elseif cmd == "list" then
		print(prgname .. " printing list")
		for name,note in pairs(RemGankDB) do 
			-- print(string.format("%-12s|%-25s",name,note))
			print (name .. " [ " .. note .. " ] " );
		end
		
	elseif cmd == "wipe" then
		print(prgname .. " deleting list")
		for name in pairs(RemGankDB) do
			RemGankDB[name] = nil
		end
		
	else
		print(prgname .. " commands");
		print("/remgank - This help");
		print("/remgank add <player_name> <note> - Add a ganker");
		print("/remgank del <player_name> - Remove a ganker");
		print("/remgank list - List those silly gankers");				
		print("/remgank wipe - Erase all the table");
		return;
	end
	
end